Overview | Package | Class | Tree | Deprecated | Index | Help
| SolarMetric Kodo JDO 3.3.5 generated on August 31 2005
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## kodo.jdbc.schema
Class DynamicSchemaFactory

    java.lang.Object
      |
      +--kodo.jdbc.schema.NameSet
            |
            +--kodo.jdbc.schema.SchemaGroup
                  |
                  +--kodo.jdbc.schema.DynamicSchemaFactory

All Implemented Interfaces:
  Cloneable, Configurable, SchemaFactory

public class DynamicSchemaFactory
extends SchemaGroup
implements SchemaFactory, Configurable

Factory whose schema group dynamically fills itself with information mappings validate themselves in their `fromMappingInfo` method. Tables are added when `SchemaGroup.findTable(kodo.jdbc.schema.Table)` is called. Columns are added to tables when `Table.getColumn(java.lang.String)` is called. And the column types are set when `Column.isCompatible(int, int)` is called.

Constructor Summary
`DynamicSchemaFactory()`

Method Summary
`void` | `endConfiguration()` Invoked upon completion of bean property configuration for this object.
`Table` | `findTable(String name)` Find the table with the given name in the group, using '.' as the catalog separator.
`protected Column` | `newColumn(String name, Table table)` Return a new column with the given name and owner table.
`protected ForeignKey` | `newForeignKey(String name, Table table)` Return a new foreign key with the given name and owner table.
`protected PrimaryKey` | `newPrimaryKey(String name, Table table)` Return a new primary key with the given name and owner table.
`protected Table` | `newTable(String name, Schema schema)` Return a new table with the given name and owner schema.
`SchemaGroup` | `readSchema()` Return the schema group for the current object model and database.
`void` | `setConfiguration(Configuration conf)` Invoked prior to setting bean properties.
`void` | `startConfiguration()` Invoked before bean property configuration is begun on this object.
`void` | `storeSchema(SchemaGroup schema)` Record the schema group after changes may have been made.

Methods inherited from class kodo.jdbc.schema.SchemaGroup
`addSchema, addSchema, clone, findExportedForeignKeys, findTable, getSchema, getSchemas, importSchema, newIndex, newSchema, removeSchema, removeUnusedComponents`

Methods inherited from class kodo.jdbc.schema.NameSet
`addName, isNameTaken, removeName`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DynamicSchemaFactory

    public DynamicSchemaFactory()

Method Detail

### setConfiguration

    public void setConfiguration(Configuration conf)

  Description copied from interface: `Configurable`
  Invoked prior to setting bean properties.
  Specified by:
    `setConfiguration` in interface `Configurable`

### startConfiguration

    public void startConfiguration()

  Description copied from interface: `Configurable`
  Invoked before bean property configuration is begun on this object.
  Specified by:
    `startConfiguration` in interface `Configurable`

### endConfiguration

    public void endConfiguration()

  Description copied from interface: `Configurable`
  Invoked upon completion of bean property configuration for this object.
  Specified by:
    `endConfiguration` in interface `Configurable`

### readSchema

    public SchemaGroup readSchema()

  Description copied from interface: `SchemaFactory`
  Return the schema group for the current object model and database.
  Specified by:
    `readSchema` in interface `SchemaFactory`

### storeSchema

    public void storeSchema(SchemaGroup schema)

  Description copied from interface: `SchemaFactory`
  Record the schema group after changes may have been made.
  Specified by:
    `storeSchema` in interface `SchemaFactory`
  Following copied from interface: `kodo.jdbc.schema.SchemaFactory`
  Parameters:
    `schema` - the schema definition for the entire system

### findTable

    public Table findTable(String name)

  Description copied from class: `SchemaGroup`
  Find the table with the given name in the group, using '.' as the catalog separator. Returns null if no table found.
  Overrides:
    `findTable` in class `SchemaGroup`

### newTable

    protected Table newTable(String name,
                             Schema schema)

  Description copied from class: `SchemaGroup`
  Return a new table with the given name and owner schema.
  Overrides:
    `newTable` in class `SchemaGroup`

### newColumn

    protected Column newColumn(String name,
                               Table table)

  Description copied from class: `SchemaGroup`
  Return a new column with the given name and owner table.
  Overrides:
    `newColumn` in class `SchemaGroup`

### newForeignKey

    protected ForeignKey newForeignKey(String name,
                                       Table table)

  Description copied from class: `SchemaGroup`
  Return a new foreign key with the given name and owner table.
  Overrides:
    `newForeignKey` in class `SchemaGroup`

### newPrimaryKey

    protected PrimaryKey newPrimaryKey(String name,
                                       Table table)

  Description copied from class: `SchemaGroup`
  Return a new primary key with the given name and owner table.
  Overrides:
    `newPrimaryKey` in class `SchemaGroup`

Overview | Package | Class | Tree | Deprecated | Index | Help
| SolarMetric Kodo JDO 3.3.5 generated on August 31 2005
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2001,2002 SolarMetric, Inc. All Rights Reserved.